bdi4jade.message

## Class BDIAgentMsgReceiver

- java.lang.Object
- - jade.core.behaviours.Behaviour
  - - jade.core.behaviours.SimpleBehaviour
    - - jade.proto.states.MsgReceiver
      - - bdi4jade.message.BDIAgentMsgReceiver

- All Implemented Interfaces:
    java.io.Serializable

      public class BDIAgentMsgReceiver
      extends jade.proto.states.MsgReceiver

  Author:
    ingrid
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BDIAgentMsgReceiver.BDIAgentMatchExpression`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Object` | `MSG_KEY`

    - ### Fields inherited from class jade.proto.states.MsgReceiver

      `INFINITE, INTERRUPTED, TIMEOUT_EXPIRED`

    - ### Fields inherited from class jade.core.behaviours.Behaviour

      `STATE_BLOCKED, STATE_READY, STATE_RUNNING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BDIAgentMsgReceiver(BDIAgent agent, BDIAgentMsgReceiver.BDIAgentMatchExpression matchExpression)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `done()`
    `BDIAgent` | `getMyAgent()`
    `void` | `messageMatched(jade.lang.acl.ACLMessage msg, java.util.Set<Capability> capabilities)`

    - ### Methods inherited from class jade.proto.states.MsgReceiver

      `action, interrupt, onEnd, reset, setDeadline, setReceivedKey, setTemplate`

    - ### Methods inherited from class jade.core.behaviours.SimpleBehaviour

      `reset`

    - ### Methods inherited from class jade.core.behaviours.Behaviour

      `actionWrapper, block, block, getBehaviourName, getDataStore, getExecutionState, getRestartCounter, handleRestartEvent, isRunnable, onStart, restart, root, setAgent, setBehaviourName, setDataStore, setExecutionState`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MSG_KEY

          public static final java.lang.Object MSG_KEY

  - ### Constructor Detail

    - #### BDIAgentMsgReceiver

          public BDIAgentMsgReceiver(BDIAgent agent,
                             BDIAgentMsgReceiver.BDIAgentMatchExpression matchExpression)

  - ### Method Detail

    - #### done

          public boolean done()

      Overrides:
        `done` in class `jade.proto.states.MsgReceiver`

    - #### getMyAgent

          public BDIAgent getMyAgent()

    - #### messageMatched

          public void messageMatched(jade.lang.acl.ACLMessage msg,
                            java.util.Set<Capability> capabilities)